## mpj 0.44%2Bdfsg

=== src/mpjdev/natmpjdev/lib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(nativempjdev C)

SET(	SOURCE_FILES
			mpjdev_natmpjdev_Comm.c
			mpjdev_natmpjdev_Group.c
			mpjdev_natmpjdev_NativeRecvRequest.c
			mpjdev_natmpjdev_NativeSendRequest.c
			mpjdev_natmpjdev_Intracomm.c
			mpjdev_natmpjdev_Intercomm.c
)
#SET(	CMAKE_LIBRARY_OUTPUT_DIRECTORY $ENV{MPJ_HOME}/lib)
ADD_LIBRARY(nativempjdev SHARED ${SOURCE_FILES})

find_package(MPI)
if(MPI_FOUND)
set(CMAKE_COMPILE_FLAGS ${CMAKE_COMPILE_FLAGS} ${MPI_COMPILE_FLAGS})
set(CMAKE_LINK_FLAGS ${CMAKE_LINK_FLAGS} ${MPI_LINK_FLAGS})

include_directories(${MPI_INCLUDE_PATH} $ENV{JAVA_HOME}/include $ENV{JAVA_HOME}/include/linux)
endif(MPI_FOUND)
target_link_libraries(nativempjdev ${MPI_LIBRARIES})
install(TARGETS nativempjdev DESTINATION $ENV{MPJ_HOME}/lib)

## mpj 0.38~dfsg

=== debian/changelog ===
mpj (0.38~dfsg-1) unstable; urgency=low

  * Initial release (Closes: #656790)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2012 15:15:57 +0100

=== debian/control ===
Source: mpj
Section: java
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), javahelper (>=0.25), openjdk-6-jdk, ant,
 liblog4j1.2-java, libservice-wrapper-java
Standards-Version: 3.9.2
Homepage: http://mpj-express.org/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libmpj-java/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libmpj-java/trunk/

Package: libmpj-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Description: Java library for parallel applications for multicore processors and clusters
 MPJ Express is a Java message passing library that allows application
 developers to write and execute parallel applications for multicore
 processors and compute clusters/clouds.

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g,dversionmangle=s/~dfsg//" \
   http://sf.net/mpjexpress/mpj-v(.+)\.zip \
   debian debian/get-orig-source

## mpj 0.38%2Bdfsg

=== debian/control ===
Source: mpj
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper (>= 9),
               javahelper,
               default-jdk (>= 1:1.6),
               ant,
               liblog4j1.2-java,
               libservice-wrapper-java
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libmpj-java/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libmpj-java/trunk/
Homepage: http://mpj-express.org/

Package: libmpj-java
Architecture: all
Depends: ${misc:Depends},
         ${java:Depends}
Recommends: ${java:Recommends}
Description: Java library for parallel applications for multicore processors and clusters
 MPJ Express is a Java message passing library that allows application
 developers to write and execute parallel applications for multicore
 processors and compute clusters/clouds.

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --with javahelper

override_dh_auto_build:
	dh_auto_build -- -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5

get-orig-source:
	uscan --verbose --force-download

## mpj 0.38+dfsg

=== debian/changelog ===
mpj (0.38+dfsg-2) unstable; urgency=low

  * Upload to unstable
    Closes: #720566
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - anonscm in Vcs fields

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2013 14:23:48 +0200

mpj (0.38+dfsg-1) experimental; urgency=low

  * debian/copyright:
     - DEP5
     - Add Files-Excluded to document what was removed from original source
  * debian/control:
     - Standards-Version: 3.9.4 (no changes needed)
     - Architecture: all
  * debian/{control,rules}: use default java implementation
    (thanks for the patch to  James Page <james.page@ubuntu.com>)
    Closes: #684159

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2012 14:10:59 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g,dversionmangle=s/\+dfsg//" \
   http://sf.net/mpjexpress/mpj-v(.+)\.zip \
   debian debian/get-orig-source

## mpj 0.42+dfsg

=== debian/changelog ===
mpj (0.42+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure caused by the update of commons-codec
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 29 Jun 2015 16:48:07 +0200

mpj (0.42+dfsg-1) unstable; urgency=medium

  * New upstream version (adapted patch)
  * Adapted d/watch, droped d/get-orig-source
  * New Build-Depends: libcommons-cli-java, libcommons-codec-java,
    libcommons-io-java
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jul 2014 13:43:16 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,11 @@
                default-jdk (>= 1:1.6),
                ant,
                liblog4j1.2-java,
-               libservice-wrapper-java
-Standards-Version: 3.9.4
+               libservice-wrapper-java,
+               libcommons-cli-java,
+               libcommons-codec-java,
+               libcommons-io-java
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libmpj-java/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libmpj-java/trunk/
 Homepage: http://mpj-express.org/
@@ -23,4 +26,3 @@
  MPJ Express is a Java message passing library that allows application
  developers to write and execute parallel applications for multicore
  processors and compute clusters/clouds.
-

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 	dh_auto_build -- -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5
 
 get-orig-source:
-	uscan --verbose --force-download
+	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g;s/$/+dfsg/" \
   http://sf.net/mpjexpress/mpj-v(.+)\.zip

## mpj 0.44+dfsg

=== debian/changelog ===
mpj (0.44+dfsg-4) unstable; urgency=medium

  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/rules
  * Do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Sun, 13 Jan 2019 10:24:49 +0100

mpj (0.44+dfsg-3) unstable; urgency=medium

  * Avoid name space conflict with libopenmpi-java since both packages
    provide /usr/share/java/mpi.jar

 -- Andreas Tille <tille@debian.org>  Tue, 24 May 2016 20:58:36 +0200

mpj (0.44+dfsg-2) unstable; urgency=medium

  * Install mpj wrapper scripts and config files as well
  * Fix maintainer address

 -- Andreas Tille <tille@debian.org>  Wed, 11 May 2016 13:55:58 +0200

mpj (0.44+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging to Debian Java team
  * Use compression options of uscan in d/watch
  * Fix clean target
  * Install all JARs build by the project
  * Try to add build time tests but failed

 -- Andreas Tille <tille@debian.org>  Wed, 11 May 2016 10:38:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: mpj
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 12~),
                javahelper,
                default-jdk (>= 1:1.6),
                ant,
@@ -12,9 +12,9 @@
                libcommons-cli-java,
                libcommons-codec-java,
                libcommons-io-java
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libmpj-java/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libmpj-java/trunk/
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/java-team/mpj
+Vcs-Git: https://salsa.debian.org/java-team/mpj.git
 Homepage: http://mpj-express.org/
 
 Package: libmpj-java

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME=/usr/lib/jvm/default-java

include /usr/share/dpkg/default.mk
DEBPKGNAME:=lib$(DEB_SOURCE)-java
BINDIR=debian/$(DEBPKGNAME)/usr/bin
MPJ_HOME=/usr/share/mpj
LIBDIR=debian/$(DEBPKGNAME)/$(MPJ_HOME)

%:
	dh $@ --with javahelper

#override_dh_auto_build:
#	dh_auto_build -- -Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8

override_dh_install:
	dh_install
	mkdir -p $(BINDIR)
	for bin in bin/* ; do \
	    realbin=`basename $${bin} .sh` ; \
	    sed '1a export MPJ_HOME=$(MPJ_HOME)' $${bin} > $(BINDIR)/$${realbin} ; \
	done

override_jh_installlibs:
	jh_installlibs
	# Amongst the resulting JARs we have /usr/share/java/mpi.jar which is
        # also in libopenmpi-java.  So all JARs will go into private MPJ_HOME
	# and only /usr/share/java/mpj.jar will be exposed in /usr/share/java
	mkdir -p $(LIBDIR)/lib
	mv debian/$(DEBPKGNAME)/usr/share/java/* $(LIBDIR)/lib
	mkdir -p debian/$(DEBPKGNAME)/usr/share/java/
	for lib in $(LIBDIR)/lib/mpj[-.0-9]*jar ; do \
	    echo "linking $${lib}" ; \
	    ln -s ../mpj/lib/`basename $${lib}` debian/$(DEBPKGNAME)/usr/share/java/`basename $${lib}` ; \
	done

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/$(DEBPKGNAME)/etc/mpj/local2.conf

#override_dh_auto_test:
#	ant -f test/build.xml
#
# Needs more work:
#
#    [javac] /build/mpj-0.44+dfsg/test/build.xml:7: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
#    [javac] Compiling 5 source files
#    [javac] Note: /build/mpj-0.44+dfsg/test/jgf_mpj_benchmarks/jgfutil/JGFInstrumentor.java uses unchecked or unsafe operations.
#    [javac] Note: Recompile with -Xlint:unchecked for details.
#    [javac] /build/mpj-0.44+dfsg/test/build.xml:10: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
#    [javac] Compiling 9 source files
#    [javac] /build/mpj-0.44+dfsg/test/jgf_mpj_benchmarks/section1/JGFAlltoallBench.java:28: error: cannot find symbol
#    [javac] public class JGFAlltoallBench implements JGFSection1{
#    [javac]                                          ^
#    [javac]   symbol: class JGFSection1
#    [javac] /build/mpj-0.44+dfsg/test/jgf_mpj_benchmarks/section1/JGFBarrierBench.java:27: error: cannot find symbol
#    [javac] public class JGFBarrierBench implements JGFSection1{
#    [javac]                                         ^
#    [javac]   symbol: class JGFSection1
#    [javac] /build/mpj-0.44+dfsg/test/jgf_mpj_benchmarks/section1/JGFBcastBench.java:28: error: cannot find symbol
#    [javac] public class JGFBcastBench implements JGFSection1{
#    [javac]                                       ^
#

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   http://sf.net/mpjexpress/mpj-v(.+)\.zip
